Debian Bug report logs - #639332
buildcross: Remove deprecated Depends on type-handling

version graph

Package: buildcross; Maintainer for buildcross is Debian Embedded <debian-embedded@lists.debian.org>; Source for buildcross is src:buildcross.

Reported by: Guillem Jover <guillem@debian.org>

Date: Fri, 26 Aug 2011 00:54:02 UTC

Severity: wishlist

Tags: patch

Found in version buildcross/0.0.11

Fixed in version buildcross/0.0.12

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#639332; Package buildcross. (Fri, 26 Aug 2011 00:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Fri, 26 Aug 2011 00:54:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: submit@bugs.debian.org
Subject: buildcross: Remove deprecated Depends on type-handling
Date: Fri, 26 Aug 2011 02:50:52 +0200
[Message part 1 (text/plain, inline)]
Package: buildcross
Version: 0.0.11
Severity: wishlist
Tags: patch

Hi!

The buildcross package Depends on type-handling, from what it seems
due to gdb Build-Depending on it. Given that gdb will stop using
type-handling on its next upload it would be nice to drop that from
here too.

Attached patches fixes this, first one line wraps the fields, the
other one removes type-handling from everywhere.

(As an aside it might be worth considering generating the Depends line
dynamically from the relevant Build-Depends at build time.)

thanks,
guillem
[0001-Line-wrap-control-file-fields.patch (text/x-diff, attachment)]
[0002-Remove-deprecated-type-handled-now-unused-by-gdb.patch (text/x-diff, attachment)]

Added indication that bug 639332 blocks 649234 Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sat, 19 Nov 2011 04:33:11 GMT) Full text and rfc822 format available.

Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Sat, 03 Mar 2012 15:51:57 GMT) Full text and rfc822 format available.

Notification sent to Guillem Jover <guillem@debian.org>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 15:51:57 GMT) Full text and rfc822 format available.

Message #12 received at 639332-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 639332-close@bugs.debian.org
Subject: Bug#639332: fixed in buildcross 0.0.12
Date: Sat, 03 Mar 2012 15:48:09 +0000
Source: buildcross
Source-Version: 0.0.12

We believe that the bug you reported is fixed in the latest version of
buildcross, which is due to be installed in the Debian FTP archive:

buildcross_0.0.12.dsc
  to main/b/buildcross/buildcross_0.0.12.dsc
buildcross_0.0.12.tar.gz
  to main/b/buildcross/buildcross_0.0.12.tar.gz
buildcross_0.0.12_all.deb
  to main/b/buildcross/buildcross_0.0.12_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 639332@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated buildcross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 03 Mar 2012 14:42:35 +0000
Source: buildcross
Binary: buildcross
Architecture: source all
Version: 0.0.12
Distribution: experimental
Urgency: low
Maintainer: Debian Embedded <debian-embedded@lists.debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 buildcross - Cross build a full set of Debian toolchain
Closes: 639332 660740 660741 660742
Changes: 
 buildcross (0.0.12) experimental; urgency=low
 .
   * Drop type-handling dependencies (Closes: #639332)
     - Thanks Guillem Jover for patch
   * Fix VCS field in control file (Closes: #660740)
   * Support format 3 quilt packages (Closes: #660742)
     - Thanks Alban Browaeys for patch
   * Fix breakage in the apt-db init due to missing sources.list.d
     - Thanks Alban Browaeys for patch (Closes: #660741)
   * Add configuration file for wheezy.
Checksums-Sha1: 
 c8f7edca9bab87d3510def33dc10d1e4858b5774 1633 buildcross_0.0.12.dsc
 d38a33820413ecf13a731a9607ef29011870bf00 32620 buildcross_0.0.12.tar.gz
 e6941d5c348f4b71e33a5b3197d5afffda9e9eea 29296 buildcross_0.0.12_all.deb
Checksums-Sha256: 
 3f5fe6b8a876c940ce8a0145eba2ee9106959d976c3a72d1160c39bae66ddbcd 1633 buildcross_0.0.12.dsc
 0cc8550894ffe3ac58b5e9a4621014f3e0e5a1e71cec3291a78ac9986eac5da8 32620 buildcross_0.0.12.tar.gz
 1783fb40179ac3f2ec94a620759fd5df4c8833291b2a86e7df27424a78232bca 29296 buildcross_0.0.12_all.deb
Files: 
 2ea3a5cd2aac4c5bea1a2b8ea070ca83 1633 utils extra buildcross_0.0.12.dsc
 f96ae6fd3b378ed53df7ea1b84977ec3 32620 utils extra buildcross_0.0.12.tar.gz
 82f94a8611bb891579498c6d02e6df0a 29296 utils extra buildcross_0.0.12_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPUi8bAAoJEK8ig6p24qx7VkcQAIPooRQx1sEBGW77ZMfyDQIp
obfaXsKH7eOLg0z8Ae1/cW3b8vIx8yO2hZEva2ta9zpA4r4Zb2q/7ZhkIAOdoJGW
GyeuJrnYrooccuNEa24VxHUbIpDeyse5qe2C/yCvHQRNuodWb20K6+S9/hHYaw1y
bHO7DFHeY/2inbAQ0+mDECS26ycLV20bmCAYHXPJHHeotv8AOSeK26UcgXQqWLoO
CNNGP8j2ELmGnOEvMqo2qZHDrF0qkk/yklxi3MIf6t0i9ecthudnz7C0MYNipyuP
gvFl01dTsKG+bmUrbpbcc2mjlJ5pn/YiL152XHsrErnL8GYQhOJvTqSjYfACkU1n
c0lKXhpR+cyH5kVBCZEf/OSU/I1svXIwtWnaGNem3WYl768cInrJwzVLwRTMXC+B
7QAp7VtUknn5VAmCy+1YET9zRH+z4k5fDhw5FCCNoabUU761wwFlZ1Ez1auGCFFn
G+IyeKgL+tLaQE09WK1e1MTs0LCyo3No6GZIkLoDsQoRps76TbD0S/VNf+2MS3oB
U+lgAiOJyVJGGegeLZu1OOFTvUKJwMshHyJ1fx3ThhmipQljOQAmpPLJUhWZwcmf
W9Hcb9RC7CEcbSGIv1KWQOkBlWCm6oZxfxPWm9CQ75RCsDueVnmTKv6SOuNgZril
/WLrgtqegUdmIiAyOVlm
=l3OL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Apr 2012 07:39:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:16:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.